org.apache.pdfbox.cos

## Interface COSUpdateInfo

All Known Implementing Classes:
  COSArray, COSDictionary, COSObject, COSStream

    public interface COSUpdateInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isNeedToBeUpdated()` Get the update state for the COSWriter.
`void` `setNeedToBeUpdated(boolean flag)` Set the update state of the dictionary for the COSWriter.

### Method Detail

#### isNeedToBeUpdated

    boolean isNeedToBeUpdated()

Get the update state for the COSWriter. This indicates whether an object is to be written when there is an incremental save.

Returns:
  the update state.

#### setNeedToBeUpdated

    void setNeedToBeUpdated(boolean flag)

Set the update state of the dictionary for the COSWriter. This indicates whether an object is to be written when there is an incremental save.

Parameters:
  `flag` - the update state.